Skip to content

updatePurchaseReturnOrder

WRITE

Update purchase return order.

POST /api/v1/purchasing/updatePurchaseReturnOrder
curl -X POST '<your-host>/api/v1/purchasing/updatePurchaseReturnOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string",
    "orderDate": "string",
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string",
      "minLength": 1
    },
    "supplierLocationId": {
      "type": "string"
    },
    "supplierContactId": {
      "type": "string"
    },
    "supplierReference": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "purchaseOrderId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "exchangeRate": {
      "type": "number"
    },
    "orderDate": {
      "type": "string",
      "minLength": 1
    },
    "expirationDate": {
      "type": "string"
    },
    "assignee": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "supplierId",
    "orderDate",
    "id"
  ]
}